<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'book', language 'ar', branch 'MOODLE_36_STABLE'
 *
 * @package   book
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addafter'] = 'إضافة فصل جديد';
$string['book:addinstance'] = 'إضافة كتاب جديد';
$string['book:edit'] = 'تعديل فصول الكتاب';
$string['book:read'] = 'عرض الكتاب';
$string['book:viewhiddenchapters'] = 'عرض فصول الكتاب المخفية';
$string['chapterandsubchaptersdeleted'] = 'تم حذف الفصل &quot;{$a->title}&quot; والصفحات الفرعية {$a->subchapters}';
$string['chapterdeleted'] = 'تم حذف الفصل &quot;{$a->title}&quot;';
$string['chapters'] = 'فصول';
$string['chaptertitle'] = 'عنوان الفصل';
$string['confchapterdelete'] = 'هل تريد حقا حذف هذا الفصل؟';
$string['confchapterdeleteall'] = 'هل تريد حقا حذف هذا الفصل وجميع فصوله الفرعية؟';
$string['content'] = 'محتوى';
$string['customtitles'] = 'عناوين مخصصة';
$string['customtitles_help'] = 'عادة يتم عرض عنوان الفصل في جدول المحتويات (TOC) وكعنوان فوق المحتوى. إذا تم التحديد على مربع عناوين مخصصة، لا يتم عرض عنوان الفصل كعنوان فوق المحتوى. عنوان مختلف (وربما أطول من عنوان الفصل) يمكن إدخالها كجزء من المحتوى.';
$string['deletechapter'] = 'حذف الفصل &quot;{$a}&quot;';
$string['editchapter'] = 'تعديل الفصل &quot;{$a}&quot;';
$string['editingchapter'] = 'تعديل الفصل';
$string['errorchapter'] = 'خطأ في قراءة فصل من فصول الكتاب.';
$string['eventchaptercreated'] = 'إنشاء الفصل';
$string['eventchapterdeleted'] = 'حذف الفصل';
$string['eventchapterupdated'] = 'تحديث الفصل';
$string['eventchapterviewed'] = 'عرض الفصل';
$string['hidechapter'] = 'إخفاء الفصل &quot;{$a}&quot;';
$string['modulename'] = 'كتاب';
$string['modulename_help'] = 'وحدة الكتاب تمكن المعلم إنشاء مورد متعدد الصفحات في شكل كتاب، مع فصول وفصول الفرعية. يمكن أن تحتوي الكتب على ملفات الوسائط وكذلك النص ومفيدة لعرض مقاطع مطولة من المعلومات التي يمكن تقسيمها إلى أقسام.

يمكن استخدام الكتاب في

*عرض مواد للقراءة عن الوحدات الفردية من الدراسة

* كتيب للموظفين

* كمحفظة عرض لأعمال الطلاب';
$string['modulenameplural'] = 'كتب';
$string['movechapterdown'] = 'نقل الفصل للأسفل &quot;{$a}&quot;';
$string['movechapterup'] = 'نقل الفصل للأعلى &quot;{$a}&quot;';
$string['navexit'] = 'الخروج من الكتاب';
$string['navimages'] = 'الصور';
$string['navnext'] = 'التالى';
$string['navnexttitle'] = 'التالي: {$a}';
$string['navoptions'] = 'الخيارات المتاحة للحصول على روابط التصفح';
$string['navoptions_desc'] = 'خيارات لعرض التنقل على صفحات كتاب';
$string['navprev'] = 'السابق';
$string['navprevtitle'] = 'السابق: {$a}';
$string['navstyle'] = 'أسلوب التصفح';
$string['navstyle_help'] = '* الصور - الأيقونات المستخدمة في التصفح

*النص - عناوين الفصل المستخدمة في التصفح';
$string['navtext'] = 'نص';
$string['navtoc'] = 'TOC فقط';
$string['nocontent'] = 'لم يتم إضافة أي محتوى لهذا الكتاب حتى الآن.';
$string['numbering'] = 'تنسيق الفصل';
$string['numbering0'] = 'لا شيء';
$string['numbering1'] = 'أرقام';
$string['numbering2'] = 'تعداد نقطي';
$string['numbering3'] = '‏‏مع مسافة بادئة';
$string['numbering_help'] = '* لا يوجد - عناوين الفصل والفصل الفرعي لا يوجد لديها أي تنسيق

* أرقام - يتم ترقيم الفصول وعناوين الفصل الفرعي 1، 1.1، 1.2، 2، ...

* رمز نقطي - وجود بادئة للفصول الفرعية وعرضها مع مع رموز نقطية في جدول المحتويات

* المسافات البادئة - وجود بادئة للفصول الفرعية في جدول المحتويات';
$string['numberingoptions'] = 'الخيارات المتاحة لتنسيق الفصل';
$string['numberingoptions_desc'] = 'خيارات لعرض الفصول والفصول الفرعية في جدول المحتويات';
$string['page-mod-book-x'] = 'أي صفحة وحدة الكتاب';
$string['pluginadministration'] = 'إدارة الكتاب';
$string['pluginname'] = 'كتاب';
$string['removeallbooktags'] = 'إزالة جميع علامات الحفظ المرجعية';
$string['search:activity'] = 'كتاب - معلومات المصادر';
$string['search:chapter'] = 'كتاب - فصول';
$string['showchapter'] = 'عرض  الفصل &quot;{$a}&quot;';
$string['subchapter'] = 'الفصل الفرعي';
$string['subchapternotice'] = '(متوفر فقط عندما يتم إنشاء الفصل الأول)';
$string['subplugintype_booktool'] = 'أداة الكتاب';
$string['subplugintype_booktool_plural'] = 'أدوات الكتاب';
$string['tagarea_book_chapters'] = 'فصول الكتاب';
$string['tagsdeleted'] = 'تم حذف علامات الكتاب';
$string['tagtitle'] = 'راجع علامة "{$a}"';
$string['toc'] = 'جدول المحتويات';
$string['top'] = 'أعلى';
