<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_memcached', language 'ar', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_memcached
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bufferwrites'] = 'كتابة العازل';
$string['bufferwrites_help'] = 'تمكين أو تعطيل مخزنة I / O. تمكين مخزنة I / O يسبب أوامر التخزين على &quot;المنطقة العازلة&quot; بدلا من إرسالها. أي عمل يقوم باسترداد البيانات يؤدي هذا المخزن المؤقت ليتم إرسالها إلى الاتصال البعيد. والإقلاع عن الاتصال أو إغلاق الاتصال يسبب أيضا بيانات مخزنة لدفع إلى اتصال بعيد.';
$string['clustered'] = 'تمكين ملقمات متفاوتة المسافات';
$string['clusteredheader'] = 'تقسيم الخوادم';
$string['clustered_help'] = 'يستخدم هذا للسماح للقراءة مرة واحدة، لوظائف مجموعة متعددة.

حالة الاستخدام المقصود هو خلق تحسين لمخزن التكوينات لموازنة التحميل. المخزن سيجلب من ملقم واحد (مضيف محلي عادة)، ولكن لتعيين العديد من (كافة الملقمات ).

للمخابئ مع قراءة عالية جدا لضبط النسب، يوفر قدرا كبيرا من العبء على الشبكة العامة. عند تمكين هذا الإعداد، سيتم استخدام الخادم المذكور أعلاه .';
$string['hash'] = 'طريقة التجزئة';
$string['hash_crc'] = 'CRC';
$string['hash_default'] = 'الافتراضي (واحد في وقت واحد)';
$string['hash_fnv1_32'] = 'FNV1_32';
$string['hash_fnv1_64'] = 'FNV1_64';
$string['hash_fnv1a_32'] = 'FNV1A_32';
$string['hash_fnv1a_64'] = 'FNV1A_64';
$string['hash_help'] = 'يحدد خوارزمية التجزئة المستخدمة لمفاتيح البند. كل خوارزمية لها مزايا وعيوب. الذهاب مع الافتراضية إذا كنت لا تعرف أو لا تهتم.';
$string['hash_hsieh'] = 'Hsieh';
$string['hash_md5'] = 'MD5';
$string['hash_murmur'] = 'Murmur';
$string['isshared'] = 'ذاكرة التخزين المؤقت المشتركة';
$string['isshared_help'] = 'هل يتم استخدام خادم memcached الخاص بك أيضا من قبل تطبيقات أخرى؟ إذا تم مشاركة ذاكرة التخزين المؤقت من قبل تطبيقات أخرى ثم سيتم حذف كل مفتاح على حدة لضمان أن البيانات الوحيدة التي يملكها هذا التطبيق هو تطهير (ترك بيانات ذاكرة التخزين المؤقت التطبيق الخارجي دون تغيير). وهذا يمكن أن يؤدي إلى انخفاض الأداء عند تطهير ذاكرة التخزين المؤقت، اعتمادا على تكوين الملقم الخاص بك. إذا كنت تقوم بتشغيل ذاكرة التخزين المؤقت مخصصة لهذا التطبيق ثم ذاكرة التخزين المؤقت بأكمله يمكن أن يتم مسح بأمان دون أي خطر تدمير بيانات ذاكرة التخزين المؤقت التطبيق آخر. وهذا ينبغي أن يؤدي إلى زيادة الأداء عند تطهير ذاكرة التخزين المؤقت.';
$string['pluginname'] = 'Memcached';
$string['prefix'] = 'بادئة المفتاح';
$string['prefix_help'] = 'هذا يمكن أن يستخدم لإنشاء "مجال" لمفاتيح البند الخاص بك مما يتيح لك إنشاء مخازن memcached متعددة على تثبيت memcached واحد. لا يمكن أن تكون أطول من 16 حرفا من أجل ضمان عدم مشاكل طول المفتاح.';
$string['prefixinvalid'] = 'البادئة غير صالحة. يمكنك استخدام فقط a-z A-Z 0-9';
$string['serialiser_igbinary'] = 'المتسلسل igbinary.';
$string['serialiser_json'] = 'المتسلسل JSON .';
$string['serialiser_php'] = 'المتسلسل PHP الافتراضي';
$string['servers'] = 'الخوادم';
$string['serversclusterinvalid'] = 'مطلوب ملقم واحد فقط عندما يتم تمكين متفاوتة المسافات';
$string['servers_help'] = 'هذا يحدد الملقمات التي يجب استخدامها من قبل هذا المحول memcache.

ينبغي تحديد ملقم واحد في كل سطر، وتتألف من عنوان الخادم واختياريا المنفذ والوزن. إذا لم يتم توفير منفذ سيتم استخدام المنفذ الافتراضي (11211).

على سبيل المثال: < pre > server.url.com IPADDRESS: منفذ SERVERNAME: المنفذ: الوزن </ PRE> إذا تم تمكين * ملقمات متفاوت المسافات * أدناه، يجب أن يكون هناك خادم مذكور واحد فقط هنا. عادة ما يكون الاسم الذي يحل دائما إلى الجهاز المحلي، مثل 127.0.0.1 أو المضيف المحلي.';
$string['sessionhandlerconflict'] = 'تحذير: جرى تكوين مثيل memcached   ({$a}) لاستخدام نفس الخادم memcached  كجلسات. تنظيف جميع المخابئ يؤدي إلى تنظيف الجلسات.';
$string['setservers'] = 'تعيين الخوادم';
$string['setservers_help'] = 'هذه هي قائمة من الخوادم التي سوف يتم تجديدها عند تعديل البيانات في ذاكرة التخزين المؤقت.

عموما الاسم مؤهل بشكل كامل من كل خادم . ** ** يجب على الخادم أن يشمل الخوادم المدرجة في * * أعلاه، حتى لو كانت من مضيف مختلف. ينبغي تحديد ملقم واحد في كل سطر، وتتألف من عنوان الخادم واختياريا على المنفذ. إذا لم يتم توفير منفذ سيتم استخدام المنفذ الافتراضي (11211). على سبيل المثال: < pre > server.url.com IPADDRESS: منفذ
</pre>';
$string['testservers'] = 'خوادم للتجربة';
$string['testservers_desc'] = 'واحد أو أكثر من سلاسل اتصال memcached  للخوادم لاختبار ضده. إذا تم تحديد خادم اختبار يمكن اختبار أداء memcached باستخدام صفحة أداء ذاكرة التخزين المؤقت في كتلة الإدارة. وكمثال على ذلك: 127.0.0.1:11211';
$string['upgrade200recommended'] = 'نوصي ترقية تمديد Memcached إلى الإصدار 2.0.0 أو أكبر. إصدار ملحق Memcached الذي تستخدمه حاليا لا يوفر وظائف يستخدم توتارا لضمان ذاكرة التخزين المؤقت . حتى الترقية نحن نوصي بعدم تكوين أي تطبيقات أخرى لاستخدام نفس ملقمات Memcached كما تم تكوين توتارا للاستخدام.';
$string['usecompression'] = 'استخدام الضغط';
$string['usecompression_help'] = 'تمكين أو تعطيل ضغط payload. عند التمكين، قيم البند أطول من عتبة معينة (حاليا 100 بايت) سيتم ضغطها أثناء التخزين وفكها خلال الاسترجاع بشفافية.';
$string['useserialiser'] = 'استخدام المتسلسل';
$string['useserialiser_help'] = 'Specifies the serializer to use for serializing non-scalar values.
The valid serializers are Memcached::SERIALIZER_PHP or Memcached::SERIALIZER_IGBINARY.
The latter is supported only when memcached is configured with --enable-memcached-igbinary option and the igbinary extension is loaded.';
