<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'filters', language 'ar', branch 'MOODLE_36_STABLE'
 *
 * @package   filters
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actfilterhdr'] = 'الفلاتر المفعلة';
$string['addfilter'] = 'إضافة فلتر';
$string['anycategory'] = 'أي تصنيف';
$string['anycourse'] = 'أي مقرر دراسي';
$string['anyfield'] = 'أي حقل';
$string['anyrole'] = 'أي دور';
$string['anyvalue'] = 'أي قيمة';
$string['applyto'] = 'تطبيق';
$string['categoryrole'] = 'دور التصنيف';
$string['contains'] = 'يحتوي';
$string['content'] = 'محتوى';
$string['contentandheadings'] = 'المحتوى والترويسات';
$string['coursecategory'] = 'فئة المقرر';
$string['courserole'] = 'دور المقرر الدراسي';
$string['courserolelabel'] = '{$a->label} is {$a->rolename} in {$a->coursename} from {$a->categoryname}';
$string['courserolelabelerror'] = '{$a->label} خطأ: المقرر {$a->coursename} غير موجود';
$string['coursevalue'] = 'قيمة المقرر';
$string['datelabelisafter'] = '{$a->label} is after {$a->after}';
$string['datelabelisbefore'] = '{$a->label} is before {$a->before}';
$string['datelabelisbetween'] = '{$a->label} is between {$a->after} and {$a->before}';
$string['defaultx'] = 'الأفتراضي ({$a})';
$string['disabled'] = 'معطل';
$string['doesnotcontain'] = 'لا يحتوي';
$string['endswith'] = 'ينتهي بـ';
$string['filterallwarning'] = 'تطبيق المرشحات للعناوين وكذلك المحتوى يؤدي لزيادة كبيرة في الحمل على الخادم الخاص بك. يرجى استخدام إعداد &quot;تنطبق على&quot; بقلة. الاستخدام الرئيسي هو مع مرشح multilang.';
$string['filtercheckbox'] = 'عامل تصفية الخانة';
$string['filtercheckbox_help'] = 'هذا الفلتر يسمح لك تصفية المعلومات استنادا إلى مجموعة من خانات.

المرشح لديه الخيارات التالية:

* أي قيمة - هذا الخيار يعطل الفلتر (أي أن تقبل جميع المعلومات عن طريق هذا الفلتر)

* يطابق أي اختيار - يسمح هذا الخيار أي المعلومات إذا كانت تتطابق مع أي من الخيارات

* يطابق كل اختيار - يسمح هذا الخيار من المعلومات، إذا كان يتطابق مع جميع الخيارات المحددة';
$string['filterdate'] = 'عامل تصفية التاريخ';
$string['filterdate_help'] = 'عامل التصفية هذا يسمح لك بتصفية المعلومات من قبل و / أو بعد التواريخ المحددة.';
$string['filterenrol'] = 'عامل تصفية التسجيل';
$string['filterenrol_help'] = 'هذا الفلتر يسمح لك لتصفية المعلومات على أساس ما إذا كان المستخدم مسجل أو غير مسجل في مقرر معين.

المرشح لديه الخيارات التالية:

* أي قيمة - هذا الخيار يعطل الفلتر (تقبل أي المعلومات عن طريق هذا الفلتر) * نعم - هذا الخيار يرجع السجلات حيث التحق المستخدم في مقررمحدد
* لا - هذا الخيار يرجع السجلات حيث لا يلتحق المستخدم في مقرر محدد';
$string['filternumber'] = 'عامل تصفية الرقم';
$string['filternumber_help'] = 'يتيح لك هذا الفلتر تصفية المعلومات الرقمية بناءً على قيمتها.
يحتوي الفلتر على الخيارات التالية:
* ** يساوي **: يسمح هذا الخيار فقط بالمعلومات التي تساوي النص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** لا يساوي **: يسمح هذا الخيار فقط بالمعلومات التي لا تساوي النص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** أكبر من **: يسمح هذا الخيار فقط بالمعلومات التي تحتوي على قيمة رقمية أكبر من النص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** أكبر من **: يسمح هذا الخيار فقط بالمعلومات التي تحتوي على قيمة رقمية أكبر من النص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** أقل من **: يسمح هذا الخيار فقط بالمعلومات التي تحتوي على قيمة عددية أقل من النص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** أكبر من أو يساوي **: يسمح هذا الخيار فقط بالمعلومات التي تحتوي على قيمة عددية أكبر من أو تساوي النص الذي تم إدخاله (إذا لم يتم إدخال أي نص ، فسيتم تعطيل عامل التصفية).
* ** أقل من أو تساوي **: يسمح هذا الخيار فقط بالمعلومات التي تحتوي على قيمة عددية أقل من أو تساوي النص الذي تم إدخاله (إذا لم يتم إدخال أي نص ، فسيتم تعطيل عامل التصفية).';
$string['filternumbersetoperator'] = 'الرقم مع عامل التشغيل';
$string['filternumbersetoperatorequal'] = 'رقم يساوي عامل التصفية';
$string['filternumbersetoperatorequal_help'] = 'يتيح لك هذا المرشح تصفية المعلومات الرقمية التي تساوي الرقم المحدد';
$string['filternumbersetoperatorgreaterorequal'] = 'عامل تصفية الرقم أكبر من أو يساوي';
$string['filternumbersetoperatorgreaterorequal_help'] = 'يتيح لك عامل التصفية هذا تصفية المعلومات الرقمية التي تزيد عن أو تساوي الرقم المحدد';
$string['filternumbersetoperatorgreaterthan'] = 'رقم أكبر من عامل التصفية';
$string['filternumbersetoperatorgreaterthan_help'] = 'يسمح لك هذا المصفي بتصفية المعلومات الرقمية الأكبر من الرقم المحدد';
$string['filternumbersetoperator_help'] = 'يتيح لك هذا المصفي تصفية النتائج بناءً على عامل معين';
$string['filternumbersetoperatorlessorequal'] = 'مصفي الرقم أقل من أو يساوي';
$string['filternumbersetoperatorlessorequal_help'] = 'يتيح لك عامل التصفية هذا تصفية المعلومات الرقمية التي تقل عن أو تساوي الرقم المحدد';
$string['filternumbersetoperatorlessthan'] = 'عدد أقل من عامل التصفية';
$string['filternumbersetoperatorlessthan_help'] = 'يتيح لك هذا المصفي تصفية المعلومات الرقمية الأقل من الرقم المحدد';
$string['filternumbersetoperatornotequal'] = 'الرقم لا يساوي عامل التصفية';
$string['filternumbersetoperatornotequal_help'] = 'يتيح لك هذا المصفي تصفية المعلومات الرقمية التي لا تساوي الرقم المحدد';
$string['filterselect'] = 'عامل تصفية التحديد';
$string['filterselect_help'] = 'هذا الفلتر يسمح لك لتصفية المعلومات من خلال قائمة الخيارات أدناه.

هذا الفلتر لديه الخيارات التالية:

* أي قيمة -  تعطيل الفلتر (أي أن تقبل جميع المعلومات عن طريق هذا الفلتر)

* تساوي - هذا الخيار يسمح بالمعلومات الوحيدة التي تساوي القيمة المحددة من القائمة

* لا يساوي - هذا الخيار يسمح المعلومات الوحيدة التي تختلف عن القيمة المحددة من القائمة';
$string['filtersettings'] = 'إعدادات المنقح';
$string['filtersettingsforin'] = 'إعدادات عامل التصفية ل{$a->filter} في {$a->context}';
$string['filtersettings_help'] = 'تتيح هذه الصفحة تشغيل عوامل التصفية أو إيقاف تشغيلها في جزء معين من الموقع. قد تسمح بعض عوامل التصفية أيضا بتعيين إعدادات محلية، وفي هذه الحالة سيكون هناك إعدادات ربط بجوار اسمها.';
$string['filtersettingsin'] = 'إعدادات المنقح في {$a}';
$string['filtersimpleselect'] = 'عامل تصفية التحديد البسيط';
$string['filtersimpleselect_help'] = 'عامل التصفية هذا يسمح لك لتصفية المعلومات استنادا على قائمة منسدلة. لا يملك هذا الفلتر أي خيارات إضافية.';
$string['filtertext'] = 'عامل تصفية النص';
$string['filtertext_help'] = 'يسمح لك هذا الفلتر بتصفية المعلومات بناءً على نص حر.
يحتوي الفلتر على الخيارات التالية:
* ** يحتوي على **: يسمح هذا الخيار فقط بالمعلومات التي تحتوي على النص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** لا يحتوي على **: يسمح هذا الخيار فقط بالمعلومات التي لا تحتوي على النص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** يساوي **: يسمح هذا الخيار فقط بالمعلومات التي تساوي النص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** يبدأ بـ **: يسمح هذا الخيار فقط بالمعلومات التي تبدأ بالنص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** ينتهي بـ **: يسمح هذا الخيار فقط بالمعلومات التي تنتهي بالنص الذي تم إدخاله (إذا لم يتم إدخال نص ، فسيتم تعطيل الفلتر).
* ** فارغ **: هذا الخيار يسمح فقط بالمعلومات التي تساوي سلسلة فارغة (يتم تجاهل النص المدخل).';
$string['filterurl'] = 'تصفية الرابط';
$string['filterurl_help'] = 'يسمح لك هذا الفلتر بتصفية المعلومات استنادا إلى قائمة منسدلة.

المرشح يحتوي على الخيارات التالية:

* هو أي قيمة - هذا الخيار يعطل الفلتر (أي يتم قبول جميع المعلومات من قبل هذا الفلتر)

* فارغ - يسمح هذا الخيار فقط المعلومات التي تساوي سلسلة فارغة

* ليست فارغة (NOT NULL ) - يسمح هذا الخيار فقط بالمعلومات التي لا تساوي سلسلة فارغة';
$string['firstaccess'] = 'الدخول لإول مرة';
$string['globalrolelabel'] = '{$a->label} is {$a->value}';
$string['includesubcategories'] = 'شمل فئات فرعية؟';
$string['isactive'] = 'هل هو نشط؟';
$string['isafter'] = 'هو بعد';
$string['isanyvalue'] = 'هو أي قيمة';
$string['isbefore'] = 'هو قبل';
$string['isdefined'] = 'هو معرف';
$string['isempty'] = 'هو فارغ';
$string['isenrolled'] = 'المستخدم مسجل في المقرر';
$string['isequalto'] = 'هو يساوي';
$string['isgreaterorequalto'] = 'أكبر من أو يساوي';
$string['isgreaterthan'] = 'أكبر من';
$string['islessthan'] = 'أقل من';
$string['islessthanorequalto'] = 'أقل من أو يساوي';
$string['isnotdefined'] = 'غير معرف';
$string['isnotenrolled'] = 'المستخدم غير مسجل في المقرر';
$string['isnotequalto'] = 'لا يساوي';
$string['limiterfor'] = '{$a} محدد الحقل';
$string['matchesallselected'] = 'مطابقة كل الاختيارات';
$string['matchesanyselected'] = 'مطابقة أي اختيار';
$string['neveraccessed'] = 'لم يتم استخدامه';
$string['nevermodified'] = 'لم يتم تعديله';
$string['newfilter'] = 'منقح جديد';
$string['nofiltersenabled'] = 'لم يتم تمكين موصلات أي منقح في هذا الموقع';
$string['off'] = 'مغلق';
$string['offbutavailable'] = 'مغلق ولكنة متوفر';
$string['on'] = 'فعال';
$string['profilefilterfield'] = 'اسم حقل الملف الشخصي';
$string['profilefilterlimiter'] = 'مشغل حقل الملف الشخصي';
$string['profilelabel'] = '{$a->label}: {$a->profile} {$a->operator} {$a->value}';
$string['profilelabelnovalue'] = '{$a->label}: {$a->profile} {$a->operator}';
$string['removeall'] = 'استبعد كل المنقحات';
$string['removeselected'] = 'أستبعد كل ما تم اختياره';
$string['selectlabel'] = '{$a->label} {$a->operator} {$a->value}';
$string['selectlabelnoop'] = '{$a->label} {$a->value}';
$string['startswith'] = 'يبداء بـ';
$string['tablenosave'] = 'سيتم حفط التغيرات في الجدول السابق آلياً';
$string['textlabel'] = '{$a->label} {$a->operator} {$a->value}';
$string['textlabelnovalue'] = '{$a->label} {$a->operator}';
$string['valuefor'] = 'قيمة {$a}';
